Topic Resolution: Answered
Ansicht von 2 Antwort-Themen
  • Autor
    Beiträge
    • #12948
      Answered
      Wolfgang Saure
      Teilnehmer

      Hallo zusammen,

      nachdem ich von Version 10.0.13 auf die 10.1.1 geupdated habe, bekomme ich alle 10min Post mit den unten angehängten Fehlermeldungen. Leider bin ich weder programmiertechnisch fit genug noch reichen meine DB Kenntnisse aus, vernünftig zu erkennen, was da los ist. Es scheint ja in der DB eine Relation zu fehlen („relation „stats_report“ does not exist“). Das bringt mich zu dem Verdacht, dass ich einen wichtigen Schritt vergessen habe, hatte bisher aber kein Google-Glück.

      Ich bitte um Tips, wie ich weiterkommen könnte, welche logs noch hilfreich wären oder Kommentare, die mich in die richtige Richtung schubsen.

      DBD::Pg::st execute failed: ERROR:  relation „stats_report“ does not exist LINE 1: SELECT id, name FROM stats_report WHERE valid_id IN (1)

      ^ at /opt/otobo/Kernel/System/DB.pm line 779.

      ERROR: OTOBO-otobo.Console.pl-Maint::Stats::Reports::GenerateCron-99 Perl: 5.30.0 OS: linux Time: Tue Mar 29 09:20:02 2022

      Message: ERROR:  relation „stats_report“ does not exist LINE 1: SELECT id, name FROM stats_report WHERE valid_id IN (1)

      ^, SQL: ‚SELECT id, name FROM stats_report WHERE valid_id IN (1)‘

      Traceback (110441):

      Module: Kernel::System::StatsReport::StatsReportList Line: 481

      Module: Kernel::System::Console::Command::Maint::Stats::Reports::GenerateCron::Run Line: 78

      Module: (eval) Line: 470

      Module: Kernel::System::Console::BaseCommand::Execute Line: 464

      Module: (eval) Line: 155

      Module: Kernel::System::Daemon::DaemonModules::SchedulerTaskWorker::Cron::Run Line: 134

      Module: Kernel::System::Daemon::DaemonModules::SchedulerTaskWorker::Run Line: 243

      Module: (eval) Line: 386

      Module: main::Start Line: 386

      Module: /opt/otobo/bin/otobo.Daemon.pl Line: 164

      Module:

      xxxx@otobo:~# /opt/otobo/bin/otobo.CheckModules.pl –list | more

      Required packages:
      o Archive::Tar…………………ok (v2.32)
      o Archive::Zip…………………ok (v1.67)
      o Date::Format…………………ok (v2.24)
      o DateTime…………………….ok (v1.51)
      o DateTime::TimeZone………….ok (v2.38)
      o Convert::BinHex………………ok (v1.125)
      o CGI::PSGI……………………ok (v0.15)
      o DBI…………………………ok (v1.643)
      o DBIx::Connector………………ok (v0.56)
      o Digest::SHA………………….ok (v6.02)
      o File::chmod………………….ok (v0.42)
      o List::AllUtils……………….ok (v0.15)
      o LWP::UserAgent……………….ok (v6.26)
      o Moo…………………………ok (v2.003006)
      o namespace::autoclean………….ok (v0.29)
      o Net::DNS…………………….ok (v1.22)
      o Net::SMTP::SSL……………….ok (v1.04)
      o Path::Class………………….ok (v0.37)
      o Sub::Exporter………………..ok (v0.987)
      o Template::Toolkit…………….ok (undef)
      o Template::Stash::XS…………..ok (undef)
      o Text::CSV……………………ok (v1.95)
      o Text::Trim…………………..ok (v1.03)
      o Time::HiRes………………….ok (v1.9760)
      o Try::Tiny……………………ok (v0.30)
      o URI…………………………ok (v1.71)
      o XML::LibXML………………….ok (v2.0134)
      o YAML::XS…………………….ok (v0.81)
      o Unicode::Collate……………..ok (v1.27)
      o Path::Class………………….ok (v0.37)
      o Plack……………………….ok (v1.0047)
      o Plack::Middleware::Header……..ok (v0.04)
      o Plack::Middleware::Refresh…….ok (undef)
      o Plack::Middleware::ReverseProxy..ok (v0.16)
      o Const::Fast………………….ok (v0.014)

      Recommended features for setups using apache:
      o ModPerl::Util………………..ok (v2.000011)

      Database support (installing one is required):
      o DBD::mysql…………………..ok (v4.050)

      Various features for additional functionality:
      o Encode::HanExtra……………..ok (v0.23)
      o Net::LDAP……………………ok (v0.66)
      o Crypt::Eksblowfish::Bcrypt…….ok (v0.009)
      o XML::LibXSLT…………………ok (v1.99)
      o XML::Parser………………….ok (v2.46)

      Features enabling communication with a mail-server:
      o Net::SMTP……………………ok (v3.11)
      o Mail::IMAPClient……………..ok (v3.42)
      o Authen::SASL…………………ok (v2.16)
      o Authen::NTLM…………………ok (v1.09)
      o IO::Socket::SSL………………ok (v2.067)

      Optional features which can increase performance:
      o JSON::XS…………………….ok (v4.02)
      o Text::CSV_XS…………………ok (v1.41)

      xxxx@otobo:~#

       

      Viele Grüße

      Wolfgang

      P.S. sollte ich mir offenbar nicht genug Mühe gegeben haben, so habt bitte Geduld mit mir…

    • #12951
      Best Answer
      Stefan Rother
      Verwalter

      Hallo Wolfgang,

      Du hast das Upgrade Script übersehen auszuführen denke ich. Einfach noch bitte folgendes ausführen:

      Ohne Docker:

      root> su - otobo
      otobo> /opt/otobo/scripts/DBUpdate-to-10.1.pl

      Mit Docker:

      root> docker exec -it otobo_web_1 perl scripts/DBUpdate-to-10.1.pl

      Danach sollte alles passen.

      Schöne Grüße,

      Stefan Rother

      Team OTOBO

    • #12958
      Wolfgang Saure
      Teilnehmer

      Hallo Stefan,

      genau das war’s.

      Vielen Dank für die Mühe

      Schöne Grüße

      Wolfgang

Ansicht von 2 Antwort-Themen
  • Du musst angemeldet sein, um auf dieses Thema antworten zu können.